plugins {
    id 'com.android.library'
    id 'org.jetbrains.kotlin.android'
    id 'kotlin-kapt'
}

android {

    compileSdkVersion rootProject.ext.compileSdkVersion

    defaultConfig {
        minSdkVersion rootProject.ext.minSdkVersion
        targetSdkVersion rootProject.ext.targetSdkVersion
        versionCode rootProject.ext.versionCode
        versionName rootProject.ext.versionName

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }


    kapt {
        arguments {
            arg("AROUTER_MODULE_NAME", project.name)
        }
    }

    buildFeatures {
        viewBinding true
    }

    buildTypes {
        release {
            consumerProguardFiles 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }
}

dependencies {
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.3'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.4.0'

    api "androidx.core:core-ktx:${core}"
    api "androidx.recyclerview:recyclerview:${recyclerView}"
    api "androidx.appcompat:appcompat:${appCompat}"
    api "com.airbnb.android:lottie:${lottie}"
    api "com.google.auto.service:auto-service:${autoServiceVersion}"
    kapt "com.google.auto.service:auto-service:${autoServiceVersion}"
    api "io.reactivex.rxjava2:rxjava:${rxJava2}"
    api "io.reactivex.rxjava2:rxandroid:${rxAndroid2}"
    api "com.jakewharton.rxbinding2:rxbinding:${rxBinding2}"
    api "com.github.tbruyelle:rxpermissions:${rxPermissions}"
    releaseApi "com.squareup.okhttp3:okhttp:${okHttp}"
    debugApi "com.squareup.okhttp3:okhttp:${okHttpForDebug}"
    api "com.squareup.retrofit2:retrofit:${retrofit}"
    api "com.squareup.retrofit2:converter-gson:${retrofit}"   // include gson 2.7
    api "com.squareup.retrofit2:adapter-rxjava2:${retrofit}"
    api "androidx.lifecycle:lifecycle-viewmodel-ktx:$lifeCycle"
    api "androidx.lifecycle:lifecycle-livedata-ktx:$lifeCycle"
    api "androidx.lifecycle:lifecycle-common-java8:$lifeCycle"
    api "androidx.lifecycle:lifecycle-extensions:$lifeCycleExtensions"
    api "com.facebook.fresco:fresco:${fresco}"
    api "com.facebook.fresco:animated-gif-lite:${fresco}"
    api "com.facebook.fresco:animated-drawable:${fresco}"
    api "com.facebook.fresco:animated-webp:${fresco}"
    api "com.facebook.fresco:webpsupport:${fresco}"
    api "com.squareup.picasso:picasso:${picasso}"
    api "com.google.zxing:core:${zxing}"
    api "com.google.zxing:android-core:${zxing}"
    api "top.zibin:Luban:${luban}"
    api "androidx.webkit:webkit:${webkit}"
    api("com.github.piasy:BigImageViewer:${bigImageViewer}", {
        exclude group: 'com.squareup.okhttp3'
        exclude group: 'androidx.swiperefreshlayout'
        exclude group: 'com.github.bumptech.glide'
        exclude group: 'com.facebook.fresco'
    })
    api "com.lahm.library:easy-protector-release:${easyProtector}"
    api "io.sentry:sentry-android:5.7.4"

    api "com.alibaba:arouter-api:$arouterVersion"
    kapt "com.alibaba:arouter-compiler:$arouterVersion"

    api project(':libraries:LGLibrary')
    api project(':libraries:QQShare')
    api project(':libraries:Matisse')
}